<?php

declare(strict_types=1);

namespace Drupal\commerce_shipping_order_percentage\Hook;

use Drupal\Core\Hook\Attribute\Hook;
use Drupal\Core\Routing\RouteMatchInterface;

class Hooks {

  /**
   * Alters forms to modify the configuration and behavior based on product settings.
   *
   * This hook implementation modifies the "Add to Cart" button text on forms
   * based on specific product variation types and configured settings from the
   * module.
   *
   * @param array $form
   *   The form array being altered.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The current state of the form.
   * @param string|null $form_id
   *   (optional) The unique string identifying the form. Defaults to NULL.
   *
   * @return void
   *   This method does not return a value.
   */
  #[Hook('help')]
  public function formAlter($route_name, RouteMatchInterface $route_match) {
    switch ($route_name) {
      // Main module help for the commerce_shipping_order_percentage module.
      case 'help.page.commerce_shipping_order_percentage':
        $output = '';
        $output .= '<h3>' . t('About') . '</h3>';
        $output .= '<p>' . t('Commerce Shipping Order Percentage options') . '</p>';
        return $output;

      default:
    }
  }

}
